Bug 522811 - Gnome panel handling for multiple vertical screens is wacky
Summary: Gnome panel handling for multiple vertical screens is wacky
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 15:14 UTC by Tom "spot" Callaway
Modified: 2015-02-17 13:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:14:49 UTC


Attachments (Terms of Use)
Screenshot showing apps running under gnome panel (349.73 KB, image/png)
2009-09-11 15:15 UTC, Tom "spot" Callaway
no flags Details

Description Tom "spot" Callaway 2009-09-11 15:14:46 UTC
Description of problem:

At my desk, I have a nice flatpanel LCD connected to my Lenovo Thinkpad docking station. When I dock my laptop, I then have two screens of real-estate, with the LCD vertically above my Thinkpad LCD.

In X, I have the external LCD "above" the laptop "LCD".

GNOME thinks that the appropriate place to place the top panel is at the top of the bottom (laptop) LCD screen. That's odd, but I can live with it.

What is far more annoying is that as new applications launch in the bottom panel, they are placed with their tops BEHIND the gnome panel. I have had to enable the "hide" tabs on the top GNOME panel, just to be able to sanely get to these apps and drag them down. 

If I hit "maximize" on an app in the bottom screen, it goes back behind the GNOME panel. I have attached a screenshot illustrating this.

What it should do (aside from either putting the gnome panel at the top of the highest screen, or making it configurable by the user where the panels end up in multi-screen situations), is to respect the gnome-panel real-estate and not let applications open underneath it (like it does in single-screen scenarios).

Version-Release number of selected component (if applicable):

gnome-panel-2.27.91-1.fc12.x86_64

Comment 1 Tom "spot" Callaway 2009-09-11 15:15:24 UTC
Created attachment 360694 [details]
Screenshot showing apps running under gnome panel

Comment 2 John Kennedy 2009-11-06 23:26:20 UTC
I've got my two screens arranged vertically (because of unrelated intel driver issues).  I ran into the same type of issue you did with the lower bar.

If you arrange your locations with xrandr, it looks like the "top" panel follows the top-left corner screen (0x0, which is fine), and the "bottom" panel is on that screen too (regardless of whatever screen has the lowest pixels, which is not).

Like you, I put the bottom panel up top, but perhaps less confusingly used xrandr to put my bottom screen (presumably your laptop's) visually below it.

I can't check right now, but it might just be that the order of my screens and how GNOME picks them works out right for me and wrong for you (50/50 chance).

Comment 3 Bug Zapper 2009-11-16 12:16:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Tom "spot" Callaway 2009-12-03 17:41:55 UTC
This is still broken (and super annoying) in Rawhide. :(

Comment 5 Bug Zapper 2010-11-04 10:05:16 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Tom "spot" Callaway 2010-11-04 13:25:29 UTC
Still broken. :(

Comment 7 Fedora End Of Life 2013-04-03 18:59:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Fedora End Of Life 2015-01-09 16:13:21 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-02-17 13:14:49 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.